declare type DatabaseEngine = import('../database').DatabaseEngine;
declare type MigrationRecord = import('../migration').MigrationRecord;
declare type MigrationHistory = import('../migration').MigrationHistory;
declare type MigrationVersion = MigrationRecord['version'];
declare type RecordID = MigrationRecord['id'];
export declare function getHistory(database: DatabaseEngine, baseVersion: MigrationVersion, recordStartId: RecordID): Promise<MigrationHistory>;
export {};
