declare type MigrationHistory = import('../migration').MigrationHistory;
declare type SourceEngine = import('../source').SourceEngine;
declare type MismatchedRecord = Pick<MigrationHistory[number], 'id' | 'hash'>;
declare type MigrationVersion = MigrationHistory[number]['version'];
export declare function getRecordsToRepair(source: SourceEngine, baseVersion: MigrationVersion, history: MigrationHistory): Promise<MismatchedRecord[]>;
export {};
